/***************************************
	Auteur : Pierre Aubert
	Mail : pierre.aubert@lapp.in2p3.fr
	Licence : CeCILL-C
****************************************/
#include <cmath>
#include "sqrt_base.h"
///Do the Hadamard product
/**	@param[out] tabResult : table of results of tabX*tabY
 * 	@param tabX : input table
 * 	@param tabY : input table
 * 	@param nbElement : number of elements in the tables
*/
void sqrt_base(float* tabResult, const float* tabX, size_t nbElement){
	for(size_t i(0lu); i < nbElement; ++i){
		tabResult[i] = std::sqrt(tabX[i]);
	}
}


